<?php
require_once("../../includes/bootstrap.php");
//if(!headers_sent())
//	    ob_start("ob_gzhandler");
$sesion = new sesion(); // inicio la sesion
$sesion->set('permiso', permisos($_POST['privilegio']));

//$academia=bootstrap::initBd($sesion->get('anio'));

?>

<script type="text/javascript">
    $(document).ready(function () {

        var grilla;
        var modulo = "mod_reportes/mod_promediosxperiodo/";

        grilla = jQuery("#listado_estudiantes").jqGrid({
            height: 430,
            width: 735,
            url: modulo + "list_grupos.php",
            datatype: "json",
            hidegrid: false,
            multiselect: false,
            rowNum: 1300,
            rowList: [15, 30, 50],
            pgbutton: false,
            pginput: false,
            viewrecords: true,
            scrollrows: true,
            caption: '<?php echo ""?>',
            toolbar: [true, "top"],
            grouping: true,
            groupingView: {
                groupField: ["sede"],
                groupCollapse: true,
                groupText: ['<b>{0} - {1} Grupos</b>'],
            },
            colNames: [
                '<?php echo $dtsLang['reportes']['lbl_rep_sede'] ?>',
                '<?php echo $dtsLang['reportes']['lbl_rep_jornada'] ?>',
                '<?php echo $dtsLang['reportes']['lbl_rep_grado'] ?>',
                '<?php echo $dtsLang['reportes']['lbl_rep_grupo'] ?>',
                '<?php echo $dtsLang['reportes']['lbl_num_estudiantes'] ?>'
            ],
            colModel: [
                {name: 'sede', index: 'sede', resizable: false, width: 200},
                {name: 'jornada', index: 'jornada', width: 100, searchoptions: {searchhidden: true}},
                {name: 'grado', index: 'grado', resizable: false, width: 160},
                {name: 'grupo', index: 'grupo', resizable: false, width: 60, search: false},
                {
                    name: 'numero',
                    index: 'numero',
                    resizable: false,
                    width: 100,
                    search: false,
                    sorttype: 'integer',
                    formatter: 'integer'
                },
            ],
            shrinkToFit: false,
            gridComplete: function () {
                var dts = grilla.getRowData();
                grilla.setGridParam({datatype: 'local', data: dts});
            }
        });
        coloca_boton({
            id: 'boton_exp_promedios',
            elem: 't_listado_estudiantes',
            buttonicon: 'icon-excel',
            title: 'Exportar promedios',
            caption: 'Exportar promedios',

            onClickButton: function () {
                var gruposel = grilla.getGridParam("selrow");
                var dts = grilla.getRowData();
                if (gruposel != null) {
                    var dts = grilla.getRowData(gruposel);

                    var data = "?pini=" + $("#txt_perini").val();
                    data += "&pfin=" + $("#txt_perfin").val();
                    data += "&sede=" + dts.sede;

                    data += "&jorn=" + dts.jornada;
                    data += "&grado=" + dts.grado + " " + dts.grupo;
                    data += "&id_gr=" + gruposel;
                    data += "&valor=" + $("#txt_valor").val();

                    $("#objDescargas").attr("src", modulo + $("#txt_valor option:selected").data('url') + ".php" + data);
                } else {
                    jAlert('<?php echo $dtsLang['mod_fin_grupos']['selrec']; ?>', '<?php echo $dtsLang['project']['empresa']; ?>');
                }
            }
        });

        coloca_boton({
            id: 'boton_exp_finales_periodo',
            elem: 't_listado_estudiantes',
            buttonicon: 'icon-excel',
            title: 'Exportar definitiva por periodo',
            caption: 'Exportar definitiva por periodo',

            onClickButton: function () {
                var gruposel = grilla.getGridParam("selrow");
                var dts = grilla.getRowData();
                if (gruposel != null) {
                    var dts = grilla.getRowData(gruposel);

                    var data = "?pini=" + $("#txt_perini").val();
                    data += "&pfin=" + $("#txt_perfin").val();
                    data += "&sede=" + dts.sede;

                    data += "&jorn=" + dts.jornada;
                    data += "&grado=" + dts.grado + " " + dts.grupo;
                    data += "&id_gr=" + gruposel;
                    data += "&valor=" + $("#txt_valor").val();

                    $("#objDescargas").attr("src", modulo + "gen_xls_finalxperiodo_materia.php" + data);
                } else {
                    jAlert('<?php echo $dtsLang['mod_fin_grupos']['selrec']; ?>', '<?php echo $dtsLang['project']['empresa']; ?>');
                }
            }
        });


        $("#help_listado_estudiantes").append('Agrupar por: <select id="chngroup" class="campos" > <option value="sede">Sedes</option> <option value="jornada">Jornadas</option> <option value="grado">Grados</option> </select>');

        $("#chngroup").change(function () {
            var vl = $(this).val();
            if (vl) {
                if (vl == "clear") {
                    grilla.jqGrid('groupingRemove', true);
                }
                else {
                    grilla.jqGrid('groupingGroupBy', vl);
                }
            }
        });

    });
</script>
<table>
    <tr>
        <td>
            <div class="tit1">Periodo Inicial</div>
            <select name="txt_perini" id="txt_perini" class="campos" style="width:120px">
                <option value="1">1</option>
                <option value="2">2</option>
                <option value="3">3</option>
                <option value="4">4</option>
            </select>
        </td>
        <td>
            <div class="tit1">Periodo Final</div>
            <select name="txt_perfin" class="campos" style="width:120px" id="txt_perfin">
                <option value="1">1</option>
                <option value="2" selected="selected">2</option>
                <option value="3">3</option>
                <option value="4">4</option>
            </select>
        </td>
        <td>
            <div class="tit1">Mostrar</div>
            <select name="txt_valor" class="campos" style="width:170px" id="txt_valor">
                <option value="1" data-url="gen_xls_promedios">Valor numérico</option>
                <option value="2" data-url="gen_xls_promedios" selected="selected">Desempeño completo</option>
                <option value="3" data-url="gen_xls_promedios">Desempeño abreviado</option>
                <option value="4" data-url="gen_prome_disiplina">Promedio disiplina</option>
            </select>
        </td>
    </tr>
</table>
<table id="listado_estudiantes"></table>